%define name	tcpreplay
%define version	2.3.1
%define release	1mdk

Summary:	A tool to replay captured network traffic.
Name:		%{name}
Version:	%{version} 
Release:	%{release} 
License:	BSD
Group:		Networking/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tcpreplay-2.2.0-DESTDIR.patch.bz2
BuildRequires:	tcpdump
BuildRequires:	net-devel >= 1.1.2.1-1mdk
BuildRequires:	libpcap-devel >= 0.7.2
URL:		http://tcpreplay.sf.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Tcpreplay is a tool to replay captured network traffic. Currently,
tcpreplay supports pcap (tcpdump) and snoop capture formats. Also
included, is tcpprep a tool to pre-process capture files to allow
increased performance under certain conditions as well as capinfo
which provides basic information about capture files.

%prep

%setup -q
%patch0 -p0 -b .DESTDIR

%build

%configure2_5x

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Docs/CHANGELOG Docs/CREDIT Docs/*.css Docs/*.html Docs/*.png
%doc Docs/*.pdf Docs/*.txt Docs/TODO Docs/HACKING Docs/LICENSE
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/*
%{_mandir}/man1/*

%changelog
* Mon Sep 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1

* Mon Sep 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0
- build against the new shared libnet2

* Tue Jun 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0
- fix P0
- fix deps

* Sun Dec 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.6-1mdk
- 1.4.6

* Sat Aug 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.5-1mdk
- 1.4.5

* Wed Aug 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.4-1mdk
- 1.4.4

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.3-1mdk
- fix requires and buildrequires
- use macros

* Sun May 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.2-1mdk
- 1.4.2

* Tue May 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.1-1mdk
- 1.4.1

* Thu May 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.0-1mdk
- 1.4.0, fix P0, fix docs, build against -lredblack
- fix requires and buildrequires

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.3-1mdk
- 1.3.3

* Thu Jan 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.2-1mdk
- 1.3.2

* Tue Dec 24 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-1mdk
- 1.3.1
- added P0

* Sat Dec 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-1mdk
- initial cooker contrib
- used provided spec file but fixed it up
